package com.bonus.boot.manager.index.entity;

import lombok.Data;
import lombok.Getter;

import java.io.Serializable;
import java.util.Date;

/**
 * @description 体检数据表
 * @author jjLv
 * @date 2023-08-01
 */
@Data
public class IndexBean implements Serializable {
        private static final long serialVersionUID = 1L;

        private int illness_type;
        private String illness_name;
        private int total_count;
        private Integer thisNum;        //本次数据统计人数
        private  String date;


    /**
         * id
         */
        private String id;

        /**
         * 体检号
         */
        private String phyNumber;

        /**
         * 姓名
         */
        private String phyName;

        /**
         * 资料位置
         */
        private String profilePosition;

        /**
         * 性别
         */
        private String phySex;

        /**
         * 年龄
         */
        private String phyOle;

        /**
         * 单位
         */
        private String phyUnit;

        /**
         * 团体id
         */
        private String teamId;

        /**
         * 团体名称
         */
        private String teamName;

        /**
         * 团体部门
         */
        private String teamDepart;

        /**
         * 登记日期
         */
        private String signDate;

        /**
         * 阳性结果
         */
        private String masResult;

        /**
         * 结论词
         */
        private String concWord;

        /**
         * 总检建议
         */
        private String generRecom;

        /**
         * 创建时间
         */
        private Date createTime;

        /**
         * 更新时间
         */
        private Date updateTime;

        /**
         * 导入年限
         */
        private String dataYear;

        /**
         * 医院id
         */
        private String hospitalId;

        /**
         * 是否删除
         */
        private String isActive;

    public void setId(String id) {
            this.id = id;
        }

    public void setPhyNumber(String phyNumber) {
            this.phyNumber = phyNumber;
        }

    public void setPhyName(String phyName) {
            this.phyName = phyName;
        }

    public void setProfilePosition(String profilePosition) {
            this.profilePosition = profilePosition;
        }

    public void setPhySex(String phySex) {
            this.phySex = phySex;
        }

    public void setPhyOle(String phyOle) {
            this.phyOle = phyOle;
        }

    public void setPhyUnit(String phyUnit) {
            this.phyUnit = phyUnit;
        }

    public void setTeamId(String teamId) {
            this.teamId = teamId;
        }

    public void setTeamName(String teamName) {
            this.teamName = teamName;
        }

    public void setTeamDepart(String teamDepart) {
            this.teamDepart = teamDepart;
        }

    public void setSignDate(String signDate) {
            this.signDate = signDate;
        }

    public void setMasResult(String masResult) {
            this.masResult = masResult;
        }

    public void setConcWord(String concWord) {
            this.concWord = concWord;
        }

    public void setGenerRecom(String generRecom) {
            this.generRecom = generRecom;
        }

    public void setCreateTime(Date createTime) {
            this.createTime = createTime;
        }

    public void setUpdateTime(Date updateTime) {
            this.updateTime = updateTime;
        }

    public void setDataYear(String dataYear) {
            this.dataYear = dataYear;
        }

    public void setHospitalId(String hospitalId) {
            this.hospitalId = hospitalId;
        }

    public void setIsActive(String isActive) {
            this.isActive = isActive;
        }

    public void PmPhyDataInfo() {}

}
